#include <iom128.h>
#include "main.h"


/*   7,3728 MHz */


unsigned char	IN, i;
unsigned char	*p_I2C_buf;					// pointer I2C
unsigned char	I2C_BUFF[40];					// buffer I2C


/************************************************************************
*                                                                       *
************************************************************************/
void FM24_WR(void)
{

	for (i=0; i<25; i++)
		I2C_BUFF[i] = i;

		p_I2C_buf = I2C_BUFF;
		I2C_WR_A(SLA_W_FM24, p_I2C_buf, 24, 0x0);
}
/************************************************************************
*                                                                       *
************************************************************************/
void I2C_Init(void)
{
	TWBR = 12;
	TWSR = 1;
	TWDR = 0xFF;
	TWCR = E_I2C_NO_ACK;
}
/************************************************************************
*                                                                       *
*************************************************************************
*	Input - addr device						*
*		buffer							*
*		number byte						*
*		addr to write						*
************************************************************************/
void I2C_WR_A(unsigned char addr_I2C, unsigned char *p_I2C, unsigned char number_byte, unsigned char addr_byte)
{
delay_us(50);
TWCR = I2C_START;					// START

while (!YES_INT);					// Yes Start - ?

TWDR = addr_I2C;					// SLAVE_+WR
TWCR = E_I2C_NO_ACK;					// reset TWINT in TWCR

while (!YES_INT);					// SLAVE_ transmit - ?

/*---------- transmit addr --------------*/
TWDR = addr_byte; TWCR = E_I2C_NO_ACK;			// addr for write
while (!YES_INT);
/*---------- transmit data ---------------*/
do	{
TWDR = *p_I2C++; TWCR = E_I2C_NO_ACK;
while (!YES_INT);
	} while (--number_byte != 0);
/*----- end transmit ----------*/

TWCR = I2C_STOP;					// STOP

}
/************************************************************************
*        MAIN                                                           *
************************************************************************/
__C_task void main(void)
{
	I2C_Init();

// Bits 0..7 portA inputs
//  pullup

	PORTA=0xFF;
	DDRA=0x00;

m1:

	IN=PINA;

     if (IN == 0xFE) FM24_WR();


goto m1;

}
